# List Regions - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpus-v2-list-regions

# List Regions

GET

/

gpus

/

v2

/

regions

Try it

List Regions

cURL

```
curl --request GET \
--url https://api.novita.ai/gpus/v2/regions \
--header 'Authorization: '
```

```
import requests

url = "https://api.novita.ai/gpus/v2/regions"

headers = {"Authorization": ""}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: ''}};

fetch('https://api.novita.ai/gpus/v2/regions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.novita.ai/gpus/v2/regions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.novita.ai/gpus/v2/regions"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.get("https://api.novita.ai/gpus/v2/regions")
.header("Authorization", "")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.novita.ai/gpus/v2/regions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = ''

response = http.request(request)
puts response.read_body
```

200

```
{
"data": [
{
"id": "region-abc123",
"name": "cn-east-1",
"gpus": [
"A100",
"H100"
],
"feature": {
"network_volume": true,
"instance_network": true
}
}
],
"next_cursor": "",
"has_more": false
}
```

#### Headers

[​](#parameter-authorization)

Authorization

string

required

Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.

#### Query Parameters

[​](#parameter-limit)

limit

integer

Page size. Integer, value >= 0.

[​](#parameter-cursor)

cursor

string

Pagination cursor. String, length: 0-1024 characters.

#### Response

200 - application/json

OK

[​](#response-data)

data

object[]

Public Region list

Show child attributes

[​](#response-next-cursor)

next_cursor

string

Cursor for the next page. Empty string when there is no next page

Example:

`""`

[​](#response-has-more)

has_more

boolean

Whether there are more pages

Example:

`false`

Last modified on June 23, 2026
